Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind.util
Class ValidationEventCollector

    java.lang.Object
      |
      +--javax.xml.bind.util.ValidationEventCollector

All Implemented Interfaces:
  ValidationEventHandler

public class ValidationEventCollector
extends java.lang.Object
implements ValidationEventHandler

`ValidationEventHandler` implementation that collects all events.

To use this class, create a new instance and pass it to the setEventHandler method of the Validator, Unmarshaller, Marshaller class. After the call to validate or unmarshal completes, call the getEvents method to retrieve all the reported errors and warnings.

Since:
  JAXB1.0
See Also:
  `Validator`, `ValidationEventHandler`, `ValidationEvent`, `ValidationEventLocator`

Constructor Summary
`ValidationEventCollector()`

Method Summary
`ValidationEvent[]` | `getEvents()` Return a copy of all of the collected errors and warnings.
`boolean` | `handleEvent(ValidationEvent event)` Receive notification of a validation warning or error.
`boolean` | `hasEvents()` Returns true if this event collector contains at least one ValidationEvent.
`void` | `reset()` Clear all collected errors and warnings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationEventCollector

    public ValidationEventCollector()

Method Detail

### getEvents

    public ValidationEvent[] getEvents()

  Return a copy of all of the collected errors and warnings.
  Returns:
    a copy of all the collected errors and warnings or an empty array if there weren't any

### reset

    public void reset()

  Clear all collected errors and warnings.

### hasEvents

    public boolean hasEvents()

  Returns true if this event collector contains at least one ValidationEvent.
  Returns:
    true if this event collector contains at least one ValidationEvent, false otherwise

### handleEvent

    public boolean handleEvent(ValidationEvent event)

  Description copied from interface: `ValidationEventHandler`
  Receive notification of a validation warning or error. The ValidationEvent will have a `ValidationEventLocator` embedded in it that indicates where the error or warning occurred.
  Specified by:
    `handleEvent` in interface `ValidationEventHandler`
  Parameters:
    `event` - the encapsulated validation event information
  Returns:
    true if the JAXB Provider should attempt to continue validating after handling this warning/error, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Sun Microsystems, Inc. All rights reserved.